Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0007188TestLinkTest Executepublic2015-07-07 18:042015-08-01 09:03
Reportersmadden 
Assigned Tofman 
PrioritynormalSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformWindowsOSServer 2008OS VersionR2
Product Version1.9.13 (2015 #1) 
Fixed in Version1.9.14 (2015 Q3) 
Summary0007188: fatal error thrown when trying to execute test cases on a project that is linked to a non existing Bugtracker
Descriptionwhen a test project has an active issue tracker integration but the issue tracker was deleted, a fatal error will be thrown when trying to execute an existing test case of that project.
Steps To Reproduce- go to Test Project Management
- edit test project
- check issue tracker integration: active, but don't select an issue tracker
- save
- go to Test Execution / Execute Tests
- select a test case

--> error is thrown:

( ! ) Fatal error: Call to a member function getBugSummaryMaxLength() on a non-object in C:\wamp\www\testlink\lib\execute\execSetResults.php on line 513
Call Stack
# Time Memory Function Location
1 0.0039 645032 {main}( ) ..\execSetResults.php:0
2 0.1550 10409688 init_args( ) ..\execSetResults.php:48
Additional Informationrelated to issue ID 0007116. Opening a new one with more information since I could not edit the original issue.

in Testlink 1.9.12 you can still select the testcase, but it displays this warning:

Attention Please:
Something is preventing connection to Bug Tracking System,
and is going to create performance issues.
Please contact your TestLink Administrator

Workaround is easy, uncheck the issue tracker integration for the project under Test Project Management. But it would still be very helpful to get the error message back that existed in 1.9.12 instead of throwing a fatal error.

TagsNo tags attached.
Database (MySQL,Postgres,etc)MySQL
BrowserChrome
PHP Version5.4.3
TestCaseID
QA Team - Task Workflow StatusTBD
Attached Filesjpg file icon error_with_testlink_1.9.13.JPG [^] (191,970 bytes) 2015-07-07 18:04


jpg file icon error_with_testlink_1.9.12.JPG [^] (255,019 bytes) 2015-07-07 18:05


jpg file icon Edit_TestProject.JPG [^] (133,940 bytes) 2015-07-07 18:06

- Relationships
related to 0007116closedfman Fatal error: Call to a member function getBugSummaryMaxLength() on null in C:\xampp\htdocs\testlink-1.9.13\lib\execute\execSetR 

-  Notes
(0023603)
fman (administrator)
2015-07-08 21:34

Issue tracker can not be deleted from GUI is used on at least one test project.
This means that in your situation issue tracker has been deleted in a different way.
can you confirm ?
(0023645)
fman (administrator)
2015-07-26 17:49

would you mind to provide requested feedback ?
(0023669)
fman (administrator)
2015-08-01 09:03

no more user feedback

- Issue History
Date Modified Username Field Change
2015-07-07 18:04 smadden New Issue
2015-07-07 18:04 smadden File Added: error_with_testlink_1.9.13.JPG
2015-07-07 18:05 smadden File Added: error_with_testlink_1.9.12.JPG
2015-07-07 18:06 smadden File Added: Edit_TestProject.JPG
2015-07-08 05:26 fman Relationship added related to 0007116
2015-07-08 21:34 fman Note Added: 0023603
2015-07-26 17:49 fman Note Added: 0023645
2015-07-26 17:49 fman Assigned To => fman
2015-07-26 17:49 fman Status new => feedback
2015-08-01 09:03 fman QA Team - Task Workflow Status => TBD
2015-08-01 09:03 fman Note Added: 0023669
2015-08-01 09:03 fman Status feedback => closed
2015-08-01 09:03 fman Resolution open => fixed
2015-08-01 09:03 fman Fixed in Version => 1.9.14 (2015 Q3)



Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker